Redmine - Feature #17582

advanced awesome calculated computed custom fields
2014-07-30 10:23 - Dev Full stack

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Custom fields Estimated time: 0.00 hour

Target version:

Resolution: Duplicate

Description

| didn't find this in features or in plugins.

The guys from EasyRedmine did great job, but when | contacted them, they said that Calculated (computed) custom fields
supported only EasyRedmine, it doesn't work with Redmine-Core. It's really pitty.

1. develop or adapt Calculated (computed) custom fields (scren) for Redmine-Core
2. Improve functionality. Add calculation by taking a sample of data from other issues(custom fields,fields).
Because now, (1) calculate data only from 1 issue. We need

For example We have issue with tracker "Invoice" and custom fields: a) invoice_income, b) invoice_expences
And We have issue "Contact" with custom fields %Revenue_per_month
Please see exampleexample

"%Revenue_per_month" = "1) £[%{cf_12(invoice_income)}] / 2) Z[%{cf_11(invoice_expences)}]",
WHERE:

a) XZ[%{cf_12(invoice_income)}]

A SUM of all invoice_income filtered by:
invoice_date: between 01.07.2014 and 31.07.2014
invoice_status: payed

See the screen

b) Z[%{cf_12(invoice_expences)}]

A SUM of all invoice_expences filtered by:
invoice_date: between 01.07.2014 and 31.07.2014
invoice_status: payed

And one more detalization about what | want from itAnd one more detalization about what | want from it

If we add filter "payed",we'll get somethink like that:
"set_filter=18&{%5B%5D=cf_12&0p%5Bcf_12%5D=%3D&v%5Bcf_12%5D%5B%5D=payed"

So 1) X[%{cf_12(invoice_income)}]

maby something like this:

> of all %{cf_12(invoice_income)} under "set_filter=1&{%5B%5D=cf_12&0p%5Bcf_12%5D=%3D8&v%5Bcf_12%5D%5B%5D=payed"

Related issues:

Related to Redmine - Feature #17535: Custom fields maths Closed

Has duplicate Redmine - Feature #17913: Formula based custom field calculation Closed

Is duplicate of Redmine - Feature #1712: add custom fields that are calculati... New 2008-07-30
Is duplicate of Redmine - Feature #8177: Custom Field with mathematical calcu... New 2011-04-18
History

#1 - 2014-08-29 02:47 - Toshi MARUYAMA

- Priority changed from Urgent to Normal
http://www.redmine.org/plugins/calculated-custom-fields
http://www.easyredmine.com/software-tour
http://www.redmine.org/projects/redmine/wiki/Download
http://www.redmine.org/plugins/calculated-custom-fields
http://prntscr.com/47qvgl
http://www.redmine.org/projects/redmine/wiki/Download
http://www.redmine.org/plugins/calculated-custom-fields
http://prntscr.com/47qvgl
http://prntscr.com/47r37q

#2 - 2014-09-20 08:07 - ami desai

Even i need the same functionality.
#3 - 2014-09-20 08:33 - Dev Full stack
ami desai wrote:

Even i need the same functionality.

Thanks!
Toshi, +1

#4 - 2014-09-20 18:41 - cody liou

+1
i need the same functionality.

#5 - 2014-10-17 09:21 - Toshi MARUYAMA

- Has duplicate Feature #17913: Formula based custom field calculation added

#6 - 2014-10-20 06:47 - ami desai

+1

#7 - 2014-10-30 07:08 - ami desai

+1

#8 - 2015-01-19 14:53 - John Gordon

+1 see #17535
#17913 has been closed as a duplicated ticket but no further response provided here about the feature request given the Easy Redmine solution does
not work on Redmine Core.

#9 - 2015-02-13 05:12 - Toshi MARUYAMA
- Related to Feature #17535: Custom fields maths added

#10 - 2015-05-22 12:12 - Ferenc Sagi

+1

#11 - 2015-07-02 20:01 - Sebastian Paluch
+1000

and duplicates #1712.

#12 - 2015-08-01 00:48 - Toshi MARUYAMA
- Status changed from New to Closed

- Resolution set to Duplicate

Sebastian Paluch wrote:

and duplicates #1712.

Thank you for your pointing out.

#13 - 2015-08-01 00:48 - Toshi MARUYAMA

- Is duplicate of Feature #1712: add custom fields that are calculations of other fields added

#14 - 2015-08-01 00:51 - Toshi MARUYAMA
And duplicate of #8177.

#15 - 2015-08-01 00:51 - Toshi MARUYAMA

- Is duplicate of Feature #8177: Custom Field with mathematical calculation added
https://www.redmine.org/issues/17535
https://www.redmine.org/issues/17913
https://www.redmine.org/issues/1712
https://www.redmine.org/issues/1712
https://www.redmine.org/issues/8177
